Новости про Linux, Vulkan и драйвер

Intel поддерживает Vulkan 1.0 AP

Компания Intel представила новую бета версию графического драйвера с поддержкой API Vulkan 1.0 в процессорах, относящихся к 6-му поколению процессоров Intel Core. Технология доступна в операционных системах Windows 7, 8 и 10.

Технология Vulkan 1.0 была представлена в прошлом месяце промышленным консорциумом Khronos Group. Технология должна заменить OpenGL, который был подготовлен в далёком 1991 году компанией Silicon Graphics. Новая технология может задействовать ресурсы как GPU, так и многоядерных CPU, однако пока она далека от  конкурента — DirectX 12, поддержка которого реализована в финальных драйверах всех производителей графических процессоров.

API Vulkan

Технология Vulkan 1.0 также сможет работать и на Linux, в составе таких операционных систем, как SteamOS. Компания Intel открыла исходный код драйвера для Linux. Он будет доступен для процессоров с кодовыми именами Broadwell и Skylake.

Vulkan будет работать только с новыми GPU AMD?

Удивительно, но компания AMD, по всей видимости, по-своему понимает значение выражения «открытый исходный код». Такая догадка исходит из того, что готовящийся API Vulkan будет работать лишь с драйвером ядра AMDGPU DRM.

По информации Phoronix это означает, что хотя ядро драйвера и расширено на более старые видеокарты, только самые свежие GPU AMD смогут работать с API нового поколения под Linux.

Vulkan

Сможет ли Vulkan работать с DRM драйвером Radeon остаётся неизвестно, поскольку сама компания объявила, что новый API в Linux будет работать только с проприетарным драйвером AMDGPU, который поддерживает лишь видеокарты Radeon R9 285 Tonga, R9 Fury Fiji, Carrizo, и будущие решения. Возможно, что компания реализует экспериментальную поддержку карт из списка стандартного драйвера, который не включает ускорители серии HD7000.

В любом случае, сейчас AMD официально заявляет, что Linux Vulkan будет работать исключительно с ядром драйвера AMDGPU, и у компании нет планов по поддержке API в других драйверных стеках под управлением Linux.

О том, какие же GPU будут поддерживать Vulkan в Windows пока ничего не известно, однако технически возможно обеспечить работу API на GPU с поддержкой OpenGL ES 3.1 или OpenGL 4.X.